@charset "utf-8";

/*========= MENUハンバーガーのCSS ===============*/
/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn1 {
  position: relative;
  /*ボタン内側の基点となるためrelativeを指定*/
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 5px;
  margin: 25px auto 10px auto;
}

/*ボタン内側*/
.openbtn1 span {
  display: inline-block;
  -webkit-transition: all .4s;
  -o-transition: all .4s;
  transition: all .4s;
  /*アニメーションの設定*/
  position: absolute;
  left: 50%;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
  height: 2px;
  border-radius: 5px;
  background: #0C5C97;
  width: 45%;
}


.openbtn1 span:nth-of-type(1) {
  top: 13px;
}

.openbtn1 span:nth-of-type(2) {
  top: 19px;
}

.openbtn1 span:nth-of-type(3) {
  top: 25px;
}

.openbtn1 span:nth-of-type(3)::after {
  content: "Menu";
  /*3つ目の要素のafterにMenu表示を指定*/
  position: absolute;
  top: 5px;
  left: 50%;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
  color: #0C5C97;
  font-size: 0.6rem;
  text-transform: uppercase;
}

/*activeクラスが付与されると線が回転して×になり、Menu⇒Closeに変更*/

.openbtn1.active span:nth-of-type(1) {
  top: 14px;
  left: 18px;
  -webkit-transform: translateY(6px) rotate(-45deg);
  -ms-transform: translateY(6px) rotate(-45deg);
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}

.openbtn1.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn1.active span:nth-of-type(3) {
  top: 26px;
  left: 18px;
  -webkit-transform: translateY(-6px) rotate(45deg);
  -ms-transform: translateY(-6px) rotate(45deg);
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}

.openbtn1.active span:nth-of-type(3)::after {
  content: "Close";
  /*3つ目の要素のafterにClose表示を指定*/
  -webkit-transform: translateY(0) rotate(-45deg);
  -ms-transform: translateY(0) rotate(-45deg);
  transform: translateY(0) rotate(-45deg);
  top: 5px;
  left: 4px;
}



/* Sidebar */
#sidebar {
  position: -webkit-sticky;
  position: sticky;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  top: 0px;
  height: 100vh;
  z-index: 3;
  -webkit-transform: translateX(-100px);
  -ms-transform: translateX(-100px);
  transform: translateX(-100px);
  -webkit-transition: all 1s 0s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s 0s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s 0s cubic-bezier(0.4, 0.4, 0, 1);
}

#sidebar::after {
  content: "";
  width: 1px;
  height: 78vh;
  background-color: gray;
  margin: auto 0;
}

#sidebar.js-sidebar {
  -webkit-transform: none;
  -ms-transform: none;
  transform: none;
}

#sidebar-alwaysVisible {
  width: 100px;
  min-width: 100px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  z-index: 3;
}

.sidebar-logo {
  position: relative;
  /*サイドバーの残りの高さに合わせる*/
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}

.sidebar-logo img {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  -o-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  height: 70px;

  /*矢印の動き*/
  -webkit-animation: baloonmove 2.0s ease-in-out infinite;
  animation: baloonmove 2.0s ease-in-out infinite;
}

@-webkit-keyframes baloonmove {
  0% {
    bottom: 20px;
  }

  50% {
    bottom: 30px;
  }

  100% {
    bottom: 20px;
  }
}

@keyframes baloonmove {
  0% {
    bottom: 20px;
  }

  50% {
    bottom: 30px;
  }

  100% {
    bottom: 20px;
  }
}

.sidebar-sns-logo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-bottom: 20px;
}

.sidebar-sns-logo a {
  margin: 3px 0;
}

.sidebar-sns-logo img {
  height: 20px;
  width: auto;
}

#sidebar-openArea {
  position: absolute;
  left: 100px;
  width: 500px;
  height: 100vh;
  background-image: url(/wp-content/themes/basic_themes/images/washi_1000px.jpg);
  background-size: contain;
  border-left: solid 1px #d3d3d3;
  z-index: 2;
  opacity: 0;
  -webkit-transform: translateX(-600px);
  -ms-transform: translateX(-600px);
  transform: translateX(-600px);
  -webkit-transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
  -webkit-box-shadow: 20px 0px 20px rgba(0, 0, 0, 0.5);
  box-shadow: 20px 0px 20px rgba(0, 0, 0, 0.5);
}

#sidebar-openArea.active {
  opacity: 1;
  -webkit-transform: translateX(0px);
  -ms-transform: translateX(0px);
  transform: translateX(0px);
  -webkit-transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all .8s cubic-bezier(0.4, 0.4, 0, 1);
}

#menu {
  padding: 80px 50px;
  position: absolute;
  z-index: 3;
}

#menuList {
  list-style: none;
  -webkit-padding-start: 0px;
  padding-inline-start: 0px;
}

.menu-item {
  margin-bottom: 20px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  opacity: 0;
  -webkit-transform: translateY(-20px);
  -ms-transform: translateY(-20px);
  transform: translateY(-20px);
}

.menu-item:first-child {
  -webkit-transition: all 1s .4s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .4s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .4s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:nth-child(2) {
  -webkit-transition: all 1s .5s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .5s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .5s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:nth-child(3) {
  -webkit-transition: all 1s .6s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .6s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .6s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:nth-child(4) {
  -webkit-transition: all 1s .7s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .7s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .7s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:nth-child(5) {
  -webkit-transition: all 1s .8s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .8s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .8s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:nth-child(6) {
  -webkit-transition: all 1s .9s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s .9s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s .9s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item:last-child {
  -webkit-transition: all 1s 1.0s cubic-bezier(0.4, 0.4, 0, 1);
  -o-transition: all 1s 1.0s cubic-bezier(0.4, 0.4, 0, 1);
  transition: all 1s 1.0s cubic-bezier(0.4, 0.4, 0, 1);
}

.menu-item.active {
  opacity: 1;
  -webkit-transform: translateY(0px);
  -ms-transform: translateY(0px);
  transform: translateY(0px);
}

.sidebar-anchor {
  color: #414141;
  text-decoration: none;
  text-transform: uppercase;
  position: relative;
  padding-bottom: 7px;
}

.sidebar-anchor:before {
  content: "";
  width: 0;
  height: 2px;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #414141;
  -webkit-transition: all .7s ease-in-out;
  -o-transition: all .7s ease-in-out;
  transition: all .7s ease-in-out;
}

@media (hover: hover) and (pointer: fine) {
  .sidebar-anchor:hover:before {
    width: 100%;
  }
}

@media screen and (max-width: 1200px) {
  
  #sidebar {
    position: fixed;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    top: 0px;
    height: 100vh;
    z-index: 3;
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
  }

  #sidebar::after {
    width: 0px;
  }

  #sidebar-alwaysVisible {
    visibility: hidden;
    width: 0;
    min-width: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    z-index: 3;
  }

  #sidebar-openArea {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-image: url(/wp-content/themes/basic_themes/images/washi_1000px.jpg);
    background-size: contain;
    border-left: none;
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    visibility: hidden;
    pointer-events: none;
  }

  #sidebar-openArea.active {
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    visibility: visible;
    pointer-events: all;
  }

  .openbtn1 {
    visibility: visible;
    position: fixed;
    /*ボタン内側の基点となるためrelativeを指定*/
    cursor: pointer;
    top: 15px;
    right: 15px;
    width: 50px;
    height: 50px;
    border-radius: 5px;
    margin: 40px auto;
  }

  .menu-item {
    margin-bottom: 30px;
  }

  .menu-item h3 {
    font-size: 1.7rem;
  }
}